---
title: Docker Maven Build
repo: https://gitlab.lakedrops.com/docker/maven-build
issues: https://gitlab.lakedrops.com/docker/maven-build/-/issues
tags:
- docker
---
# Maven

In case you want to build a Java project, we provide a Docker image for a Java [Maven](https://maven.apache.org/) build.

To use this image in a **_.gitlab-ci.yml_** file, you can specify a build stage to build a JAR file:

```
stages:
- build

build_jar:
stage: build
image: registry.lakedrops.com/docker/maven-build/maven
script:
- mvn clean verify
  artifacts:
  name: your_artifact_name
  paths:
- your_artifact_path
```



stages:
- build
- deploy

variables:
MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository"
GIT_SUBMODULE_STRATEGY: recursive
JAR_FILE: datacore-real-estate-3.0.0.jar

cache:
paths:
- .m2/repository

build_jar:
stage: build
image: registry.lakedrops.com/docker/maven-build/maven
script:
- mvn clean deploy -s ci_settings.xml
artifacts:
name: datacore
paths:
- real-estate/target/${JAR_FILE}
  

